sc::PsiHSOSHF(3)

NAME
sc::PsiHSOSHF -

PsiHSOSHF is a concrete implementation of Psi ROHF wave function'.

SYNOPSIS

#include <psiwfn.h>

Inherits sc::PsiSCF'.

  Public Member Functions
PsiHSOSHF (const Ref< KeyVal > &)
PsiHSOSHF (StateIn &)
void write_basic_input (int conv)
Writes out Psi input file entries specific to this PsiWavefunction'.
int spin_polarized ()
Return 1 if the alpha density is not equal to the beta density'.
int gradient_implemented () const
PsiSCF::RefType reftype () const
Returns the PsiSCF::RefType of this particular Psi SCF wave function'.

  Protected Member Functions
void write_input (int conv)
Prepares a complete Psi input file'. The input file is assumed to have been opened'.

Detailed Description

PsiHSOSHF is a concrete implementation of Psi ROHF wave function'.

Member Function Documentation

  void sc::PsiHSOSHF::write_basic_input (intconv) [virtual]

Writes out Psi input file entries specific to this PsiWavefunction'. The input file is assumed to have been opened'.

Reimplemented from sc::PsiWavefunction'.

Author

Generated automatically by Doxygen for MPQC from the source code'.